USN-4324-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4324-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4324-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4324-1
Related
  • CVE-2020-8428
  • CVE-2020-8992
Published
2020-04-07T21:00:40.204031Z
Modified
2020-04-07T21:00:40.204031Z
Summary
linux-aws, linux-aws-hwe, linux-azure, linux-gcp, linux-gke-4.15, linux-kvm, linux-oem, linux-oracle, linux-raspi2, linux-snapdragon vulnerabilities
Details

Al Viro discovered that the vfs layer in the Linux kernel contained a use- after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly expose sensitive information (kernel memory). (CVE-2020-8428)

Shijie Luo discovered that the ext4 file system implementation in the Linux kernel did not properly check for a too-large journal size. An attacker could use this to construct a malicious ext4 image that, when mounted, could cause a denial of service (soft lockup). (CVE-2020-8992)

References

Affected packages

Ubuntu:Pro:14.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1077.82~14.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-image-azure": "4.15.0.1077.62",
            "linux-image-4.15.0-1077-azure": "4.15.0-1077.82~14.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / linux-gke-4.15

Package

Name
linux-gke-4.15

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1057.60

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1057-gke": "4.15.0-1057.60",
            "linux-image-gke-4.15": "4.15.0.1057.61",
            "linux-image-gke": "4.15.0.1057.61"
        }
    ]
}

Ubuntu:18.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1058.59

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1058-kvm": "4.15.0-1058.59",
            "linux-image-kvm": "4.15.0.1058.58"
        }
    ]
}

Ubuntu:18.04:LTS / linux-snapdragon

Package

Name
linux-snapdragon

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1076.83

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-snapdragon": "4.15.0.1076.79",
            "linux-image-4.15.0-1076-snapdragon": "4.15.0-1076.83"
        }
    ]
}

Ubuntu:18.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1065.69

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-aws-lts-18.04": "4.15.0.1065.67",
            "linux-image-aws": "4.15.0.1065.67",
            "linux-image-4.15.0-1065-aws": "4.15.0-1065.69"
        }
    ]
}

Ubuntu:18.04:LTS / linux-raspi2

Package

Name
linux-raspi2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1060.64

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1060-raspi2": "4.15.0-1060.64",
            "linux-image-raspi2": "4.15.0.1060.58"
        }
    ]
}

Ubuntu:18.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1037.41

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1037-oracle": "4.15.0-1037.41",
            "linux-image-oracle-lts-18.04": "4.15.0.1037.45"
        }
    ]
}

Ubuntu:18.04:LTS / linux-oem

Package

Name
linux-oem

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1079.89

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-oem": "4.15.0.1079.83",
            "linux-image-4.15.0-1079-oem": "4.15.0-1079.89"
        }
    ]
}

Ubuntu:16.04:LTS / linux-aws-hwe

Package

Name
linux-aws-hwe

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1065.69~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-aws-hwe": "4.15.0.1065.65",
            "linux-image-4.15.0-1065-aws": "4.15.0-1065.69~16.04.1"
        }
    ]
}

Ubuntu:16.04:LTS / linux-gcp

Package

Name
linux-gcp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1060.64

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-gke": "4.15.0.1060.74",
            "linux-image-4.15.0-1060-gcp": "4.15.0-1060.64",
            "linux-image-gcp": "4.15.0.1060.74"
        }
    ]
}

Ubuntu:16.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1037.41~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1037-oracle": "4.15.0-1037.41~16.04.1",
            "linux-image-oracle": "4.15.0.1037.30"
        }
    ]
}

Ubuntu:16.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1077.82

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-azure": "4.15.0.1077.80",
            "linux-image-azure-edge": "4.15.0.1077.80",
            "linux-image-4.15.0-1077-azure": "4.15.0-1077.82"
        }
    ]
}